Page MenuHomePhabricator

Allow Harbormaster to source GitHub pull requests as buildables
Closed, WontfixPublic

Description

It would be great if Harbormaster could use GitHub pull requests as buildables. Probably depends on T1049 being further along (in particular support for non-Herald triggers).

Related Objects

StatusAssignedTask
DuplicateNone
Resolvedepriestley
Resolvedepriestley
Wontfixepriestley
Resolvedepriestley
Resolvedepriestley
Wontfixhach-que
Resolvedhach-que
DuplicateNone
Resolvedepriestley
DuplicateNone
Resolvedhach-que
ResolvedNone
ResolvedNone
Duplicatehach-que
OpenNone
InvalidNone
Resolvedhach-que
Resolvedepriestley
OpenNone
Resolvedhach-que
OpenNone
ResolvedNone
DuplicateNone
Resolvedhach-que
Wontfixepriestley
Wontfixepriestley
Wontfixepriestley
ResolvedNone
Resolvedepriestley
OpenNone
OpenNone
OpenNone
Resolvedepriestley
Resolvedbtrahan

Event Timeline

hach-que created this task.Mar 12 2014, 6:11 AM
hach-que raised the priority of this task from to Needs Triage.
hach-que updated the task description. (Show Details)
hach-que added a project: Harbormaster.
hach-que added subscribers: hach-que, epriestley.
hach-que edited this Maniphest Task.Mar 12 2014, 6:11 AM
hach-que updated the task description. (Show Details)Mar 12 2014, 6:12 AM
epriestley triaged this task as Wishlist priority.Apr 24 2014, 1:06 PM

Probably also needs Nuance and Doorkeeper. I don't expect this to happen before, like, 2016.

epriestley closed this task as Wontfix.Aug 8 2015, 7:16 PM
epriestley claimed this task.

I'm just going to close this in favor of T8783. If we build this it would happen via Nuance importing pulls as revisions, not Harbormaster being specifically aware of GitHub pull requests as a buildable, at least in the upstream. You're welcome to do something third-party and implement BuildableInterface on it, which might be a plausible approach, but isn't something I'd want to do in the upstream.